<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'liteerp',

    /*
     * Package.
     */
    'package'   => 'company',

    /*
     * Modules.
     */
    'modules'   => ['company'],

    
    'company'       => [
        'model' => [
            'model'                 => \Liteerp\Company\Models\Company::class,
            'table'                 => 'companies',
            'presenter'             => \Liteerp\Company\Repositories\Presenter\CompanyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'phone',  'mobile',  'email',  'website',  'details',  'logo',  'address',  'street',  'city',  'state',  'country',  'zip',  'lat',  'lng',  'tax',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/company',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Liteerp',
            'package'   => 'Company',
            'module'    => 'Company',
        ],

    ],
];
